# Total TLS ## Total TLS Settings Details `client.acm.totalTLS.get(TotalTLSGetParamsparams, RequestOptionsoptions?): TotalTLSGetResponse` **get** `/zones/{zone_id}/acm/total_tls` Get Total TLS Settings for a Zone. ### Parameters - `params: TotalTLSGetParams` - `zone_id: string` Identifier. ### Returns - `TotalTLSGetResponse` - `certificate_authority?: CertificateAuthority` The Certificate Authority that Total TLS certificates will be issued through. - `"google"` - `"lets_encrypt"` - `"ssl_com"` - `enabled?: boolean` If enabled, Total TLS will order a hostname specific TLS certificate for any proxied A, AAAA, or CNAME record in your zone. - `validity_period?: 90` The validity period in days for the certificates ordered via Total TLS. - `90` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const totalTLS = await client.acm.totalTLS.get({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }); console.log(totalTLS.validity_period); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "certificate_authority": "google", "enabled": true, "validity_period": 90 } } ``` ## Enable or Disable Total TLS `client.acm.totalTLS.update(TotalTLSUpdateParamsparams, RequestOptionsoptions?): TotalTLSUpdateResponse` **post** `/zones/{zone_id}/acm/total_tls` Set Total TLS Settings or disable the feature for a Zone. ### Parameters - `params: TotalTLSUpdateParams` - `zone_id: string` Path param: Identifier. - `enabled: boolean` Body param: If enabled, Total TLS will order a hostname specific TLS certificate for any proxied A, AAAA, or CNAME record in your zone. - `certificate_authority?: CertificateAuthority` Body param: The Certificate Authority that Total TLS certificates will be issued through. - `"google"` - `"lets_encrypt"` - `"ssl_com"` ### Returns - `TotalTLSUpdateResponse` - `certificate_authority?: CertificateAuthority` The Certificate Authority that Total TLS certificates will be issued through. - `"google"` - `"lets_encrypt"` - `"ssl_com"` - `enabled?: boolean` If enabled, Total TLS will order a hostname specific TLS certificate for any proxied A, AAAA, or CNAME record in your zone. - `validity_period?: 90` The validity period in days for the certificates ordered via Total TLS. - `90` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const totalTLS = await client.acm.totalTLS.update({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', enabled: true, }); console.log(totalTLS.validity_period); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "certificate_authority": "google", "enabled": true, "validity_period": 90 } } ``` ## Enable or Disable Total TLS `client.acm.totalTLS.edit(TotalTLSEditParamsparams, RequestOptionsoptions?): TotalTLSEditResponse` **post** `/zones/{zone_id}/acm/total_tls` Set Total TLS Settings or disable the feature for a Zone. ### Parameters - `params: TotalTLSEditParams` - `zone_id: string` Path param: Identifier. - `enabled: boolean` Body param: If enabled, Total TLS will order a hostname specific TLS certificate for any proxied A, AAAA, or CNAME record in your zone. - `certificate_authority?: CertificateAuthority` Body param: The Certificate Authority that Total TLS certificates will be issued through. - `"google"` - `"lets_encrypt"` - `"ssl_com"` ### Returns - `TotalTLSEditResponse` - `certificate_authority?: CertificateAuthority` The Certificate Authority that Total TLS certificates will be issued through. - `"google"` - `"lets_encrypt"` - `"ssl_com"` - `enabled?: boolean` If enabled, Total TLS will order a hostname specific TLS certificate for any proxied A, AAAA, or CNAME record in your zone. - `validity_period?: 90` The validity period in days for the certificates ordered via Total TLS. - `90` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.acm.totalTLS.edit({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', enabled: true, }); console.log(response.validity_period); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "certificate_authority": "google", "enabled": true, "validity_period": 90 } } ``` ## Domain Types ### Certificate Authority - `CertificateAuthority = "google" | "lets_encrypt" | "ssl_com"` The Certificate Authority that Total TLS certificates will be issued through. - `"google"` - `"lets_encrypt"` - `"ssl_com"` ### Total TLS Get Response - `TotalTLSGetResponse` - `certificate_authority?: CertificateAuthority` The Certificate Authority that Total TLS certificates will be issued through. - `"google"` - `"lets_encrypt"` - `"ssl_com"` - `enabled?: boolean` If enabled, Total TLS will order a hostname specific TLS certificate for any proxied A, AAAA, or CNAME record in your zone. - `validity_period?: 90` The validity period in days for the certificates ordered via Total TLS. - `90` ### Total TLS Update Response - `TotalTLSUpdateResponse` - `certificate_authority?: CertificateAuthority` The Certificate Authority that Total TLS certificates will be issued through. - `"google"` - `"lets_encrypt"` - `"ssl_com"` - `enabled?: boolean` If enabled, Total TLS will order a hostname specific TLS certificate for any proxied A, AAAA, or CNAME record in your zone. - `validity_period?: 90` The validity period in days for the certificates ordered via Total TLS. - `90` ### Total TLS Edit Response - `TotalTLSEditResponse` - `certificate_authority?: CertificateAuthority` The Certificate Authority that Total TLS certificates will be issued through. - `"google"` - `"lets_encrypt"` - `"ssl_com"` - `enabled?: boolean` If enabled, Total TLS will order a hostname specific TLS certificate for any proxied A, AAAA, or CNAME record in your zone. - `validity_period?: 90` The validity period in days for the certificates ordered via Total TLS. - `90`